'use client'

import React, {useContext} from 'react';
import {useRouter} from 'next/navigation';
import {AppContext} from '@/context/AppContext';
import {NavigationBtn} from '@/components/buttons';
import {ServerSelector} from '@/components/selectors';

export function Menu() {
    const {currentServer, currentVersion} = useContext(AppContext);
    const route = useRouter();

    const handleLoad = () => {
        route.push(`/${currentVersion}?target_server=${currentServer}`);
    }

    const noServerAndVersionSelected = !currentVersion || !currentServer;

    return (
        <div className="w-180 mx-auto flex items-center gap-6">
            <ServerSelector />
            <NavigationBtn
                value="Load"
                disabled={noServerAndVersionSelected}
                handleClick={handleLoad}
            />
        </div>
    );
}
